# 测试环境部署文档

bin 部署位置 192.168.50.3:/data1/acl/

```sh
#  放开端口访问
sudo iptables -I INPUT -p tcp -m state --state NEW -m tcp --dport 12128 -j ACCEPT
```

## 测试环境接口测试

### 鉴权接口

- 黑点库

```http
POST http://192.168.50.3:12128/api/verification
Content-Type: application/json

{
  "token": "test_token_hebei",
  "fromSystem": "test",
  "system": "heidianku"
}
```

- 流程

```http
POST http://192.168.50.3:12128/api/verification
Content-Type: application/json

{
  "token": "test_token_abc",
  "fromSystem": "test",
  "system": "liucheng"
}
```

- 大屏

```http
POST http://192.168.50.3:12128/api/verification
Content-Type: application/json

{
  "token": "test_token_abc",
  "fromSystem": "test",
  "system": "daping"
}
```

- 投诉分析

```http
POST http://192.168.50.3:12128/api/verification
Content-Type: application/json

{
  "token": "test_token_abc",
  "fromSystem": "test",
  "system": "fenxi"
}
```

- 投诉预测

```http
POST http://192.168.50.3:12128/api/verification
Content-Type: application/json

{
"token": "test_token_abc",
"fromSystem": "test",
"system": "yuce"
}
```

### 提供给流程系统的接口

- 角色列表接口

```http
POST http://192.168.50.3:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "findRoleList",
  "userName": "王"
}
```

- 用户列表接口

```http
POST http://192.168.50.3:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "findToPage"
}
```

- 根据登录账号获取用户

```http
POST http://192.168.50.3:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "getByLoginId",
  "loginId": "test_handan"
}
```

- 根据用户ID获取用户接口

```http
POST http://192.168.50.3:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "get",
  "userId": "4"
}
```

- 根据用户id获取角色id列表

```http
POST http://192.168.50.3:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "findRoleIdByUserId",
  "userId": "4"
}
```

- 根据角色id获取用户id列表

```http
POST http://192.168.50.3:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "findUserIdByRoleId",
  "roleId": "3"
}
```

- 多条件搜索用户

```http
POST http://192.168.50.3:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "findAuthorizedUser",
  "roleId": "3"
}
```

- 根据用户查找角色+城市信息

```http
POST http://192.168.50.3:12128/rest/flow/api
Content-Type: application/json

{
  "callType": "getRoleCityByUserId",
  "userId": "4"
}
```

- 用户树形结构接口

```http
POST http://192.168.50.3:12128/rest/flow/api/userTree
Content-Type: application/json

{
  "city": 130200,
  "role": [4],
  "user": []
}
```
